# Uses of Class
javax.sql.ConnectionEvent

Packages that use ConnectionEvent
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

- ## Uses of ConnectionEvent in javax.sql

  Methods in javax.sql with parameters of type ConnectionEvent
  Modifier and Type
  Method
  Description
  `void`
  ConnectionEventListener.`connectionClosed(ConnectionEvent event)`
  Notifies this `ConnectionEventListener` that the application has called the method `close` on its representation of a pooled connection.
  `void`
  ConnectionEventListener.`connectionErrorOccurred(ConnectionEvent event)`
  Notifies this `ConnectionEventListener` that a fatal error has occurred and the pooled connection can no longer be used.